Package com.io7m.jtensors.core.unparameterized.vectors

# Class Vector2L.Builder

java.lang.Object
com.io7m.jtensors.core.unparameterized.vectors.Vector2L.Builder

Enclosing class:
  Vector2L

    public static final class Vector2L.Builder
    extends java.lang.Object

Builds instances of type `Vector2L`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Vector2L` | `build()` | Builds a new `Vector2L`.
  `Vector2L.Builder` | `from​(Vector2LType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector2LType` instance.
  `Vector2L.Builder` | `from​(VectorReadable2LType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType` instance.
  `Vector2L.Builder` | `setX​(long x)` | Initializes the value for the `x` attribute.
  `Vector2L.Builder` | `setY​(long y)` | Initializes the value for the `y` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final Vector2L.Builder from​(VectorReadable2LType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final Vector2L.Builder from​(Vector2LType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector2LType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX

    public final Vector2L.Builder setX​(long x)
    Initializes the value for the `x` attribute.
    Parameters:
      `x` - The value for x
    Returns:
      `this` builder for use in a chained invocation

  - ### setY

    public final Vector2L.Builder setY​(long y)
    Initializes the value for the `y` attribute.
    Parameters:
      `y` - The value for y
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public Vector2L build()
    Builds a new `Vector2L`.
    Returns:
      An immutable instance of Vector2L
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing